Page MenuHomePhabricator

[lld][Hexagon] Add GOTREL relocations
ClosedPublic

Authored by sidneym on Aug 14 2019, 4:15 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

sidneym created this revision.Aug 14 2019, 4:15 PM
Herald added a project: Restricted Project. · View Herald Transcript

Where can we find a psABI describing these relocation types?

MaskRay added inline comments.Aug 14 2019, 11:02 PM
lld/test/ELF/hexagon-gotrel.s
2 ↗(On Diff #215278)

%t.o

4 ↗(On Diff #215278)

I'd use %t2.so because it makes it stand out that %t2.so is created from %t2.so

5 ↗(On Diff #215278)

-soname %t4.so is not needed because %t4.so is the final output. The rule to use -soname:

When linking an executable with %t.so, the path %t.so will be recorded in the DT_NEEDED entry if %t.so doesn't have DT_SONAME. .dynstr will have varying lengths on different systems. Add -soname so that the string in .dynstr is of fixed length to make tests more robust.

If you name the object %t.o, %t will be a good output name.

sidneym updated this revision to Diff 215392.Aug 15 2019, 7:15 AM

Update filenames in testcase.

Where can we find a psABI describing these relocation types?

You can find it here: https://developer.qualcomm.com/download/hexagon/hexagon-application-binary-interface-specification.zip?referrer=node/6116
but there is a click-through license and registration.

sidneym marked 3 inline comments as done.Aug 16 2019, 1:13 PM
MaskRay accepted this revision.Aug 16 2019, 6:50 PM
This revision is now accepted and ready to land.Aug 16 2019, 6:50 PM
ruiu accepted this revision.Aug 18 2019, 11:43 PM

LGTM

This revision was automatically updated to reflect the committed changes.

https://developer.qualcomm.com/download/hexagon/hexagon-application-binary-interface-specification.zip?referrer=node/6116

Still having trouble to access this.

Is openid.qualcomm.com down right now?

It's not just you! openid.qualcomm.com is down.

I think it was the case when I tried to access it one week ago..

ruiu added a comment.Wed, Aug 28, 2:45 AM

Where can we find a psABI describing these relocation types?

You can find it here: https://developer.qualcomm.com/download/hexagon/hexagon-application-binary-interface-specification.zip?referrer=node/6116
but there is a click-through license and registration.

Sid,

Unfortunately it is hard to consider some document being publicly available if the document is behind a click-through license agreement page. Employed developers would have to consult their legal department to click the "agree" button, and some people may not be able to agree for various reasons. Do you think you can put the document in a non-guarded part of the website?